Subject: bug#63187: 30.0.50; Tail of longer lines painted after end of nearby lines on macOS

From: Kai Ma <[email-masked]>
Date: Thu, 08 Jun 2023 13:40:14 +0800

Hi everyone, I'm also bothered by this bug recently.  And it is
happening quite frequently for me.

Unfortunately, the proposed patch and putting
  [[NSGraphicsContext currentContext] flushGraphics];
in copyRect didn't work for me.

See the screencast at https://www.youtube.com/watch?v=uLYPqsUFK5A .

I find that this bug happens more frequently if
1) the frame's alpha < 1.0, and
2) the frame is in the full screen mode, and
3) emacs is built with native compilation enabled.

(Not doing one or two of these does not prevent the bug from happening,
but seems to reduce the likelihood.)

FWIW, some version numbers:
- emacs 30.0.50 master branch
- macOS 13.4 (22F66), Intel

Aaron Jensen <[email-masked]> writes:

> Thank you. I'll report back if I start seeing it again, but so far so good.
>
> Aaron
>
> On Thu, May 18, 2023 at 7:21 AM, Eli Zaretskii <[email-masked]> wrote:
>
>  From: Aaron Jensen <[email-masked]> 
>  Date: Sat, 13 May 2023 10:23:28 -0400 
>  Cc: [email-masked], [email-masked], [email-masked] 
>
>  On Sat, May 13, 2023 at 9:54 AM Eli Zaretskii <[email-masked]> wrote: 
>
>  Ping! Should the patch be installed now on the emacs-29 branch? 
>
>  I think it's worth it. I may have seen 1 glitch (but it was different 
>  -- it looked like an entire blank line was duplicated. Other than that, it's been solid, which is quite a bit better than it had been
>  before. 
>
>  Now installed on the emacs-29 branch, and closing the bug.
>